<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;

  // Color
  let color = "darkred";

  let opacity = [
    0.3,
    0.3,
    0.3,
    0.3,
    0.3
  ];

  // functions
  function countDown() {
    if (index > -1) {
      index -= 1;
    }
  }

  setInterval(countDown, 1000);

  function c_Opacity(i) {
    if (i > -1) {
      opacity[i] = 1;
    }
    
  }

  function c_Color(i) {
    if (i == -1) {
      color = "green";
    }
  }
 
  $: c_Opacity(index);
  $: c_Color(index);



</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    <!--  -->
    {#each points as p, i}
    <circle cx="{p}" cy={innerHeight/2} r="10" fill="{color}" fill-opacity="{opacity[i]}"/>
    {/each}
  </g>
</svg>
